gtk.VBox
Prev | The gtk Class Reference | Next

## gtk.VBox

gtk.VBox — a vertical container box

## Synopsis

    class gtk.VBox(gtk.Box):
        gtk.VBox(homogeneous=False, spacing=0)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.VBox

## gtk.VBox Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

## gtk.VBox Style Properties

gtk.Widget Style Properties

## gtk.VBox Child Properties

gtk.Box Child Properties

## gtk.VBox Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Description

A `gtk.VBox` is a container subclassed from `gtk.Box` that organizes its child widgets into a single column. The `gtk.Box` methods are used to manage the arrangement, spacing, height, and alignment of the `gtk.VBox` child widgets though all are allocated the same width.

## Constructor

        gtk.VBox(homogeneous=False, spacing=0)

`homogeneous` : | if True all child widgets are given equal space allocations.
`spacing` : | the additional vertical space between child widgets in pixels.
Returns : | a new `gtk.VBox` widget

Creates a new `gtk.VBox` widget with the spacing between child widgets specified by `spacing`. If `homogeneous` is True all child widgets are allocated the same space.

Prev | Up | Next
gtk.UIManager | Home | gtk.VButtonBox